body {
  margin: 0;
}

table {
  width: 100vmin;
  height: 100vmin;
  margin: calc(50vh - 50vmin) calc(50vw - 50vmin);
}

tr:nth-child(odd) td:nth-child(even),
tr:nth-child(even) td:nth-child(odd) {
  background-color: black;
}
